Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 995)
+++ src/mlx/gui/flight.py	(revision 996)
@@ -57,5 +57,5 @@
 #-----------------------------------------------------------------------------
 
-comboModel = gtk.ListStore(GObject.TYPE_STRING)
+comboModel = Gtk.ListStore(GObject.TYPE_STRING)
 comboModel.append(("N/A",))
 comboModel.append(("VECTORS",))
@@ -63,5 +63,5 @@
 #-----------------------------------------------------------------------------
 
-class Page(gtk.Alignment):
+class Page(Gtk.Alignment):
     """A page in the flight wizard."""
     def __init__(self, wizard, id, title, help, completedHelp = None):
@@ -72,16 +72,16 @@
                          padding_left = 12, padding_right = 12)
 
-        frame = gtk.Frame()
+        frame = Gtk.Frame()
         self.add(frame)
 
-        self._vbox = gtk.VBox()
+        self._vbox = Gtk.VBox()
         self._vbox.set_homogeneous(False)
         frame.add(self._vbox)
 
-        eventBox = gtk.EventBox()
-
-        alignment = gtk.Alignment(xalign = 0.0, xscale = 0.0)
-
-        titleLabel = gtk.Label(title)
+        eventBox = Gtk.EventBox()
+
+        alignment = Gtk.Alignment(xalign = 0.0, xscale = 0.0)
+
+        titleLabel = Gtk.Label(title)
         titleLabel.modify_font(pango.FontDescription("bold 24"))
         alignment.set_padding(padding_top = 4, padding_bottom = 4,
@@ -96,7 +96,7 @@
         self._titleLabel = titleLabel
 
-        mainBox = gtk.VBox()
-
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        mainBox = Gtk.VBox()
+
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 16, padding_bottom = 16,
@@ -105,5 +105,5 @@
         self._vbox.pack_start(alignment, True, True, 0)
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                   xscale = 0.0, yscale = 0.0)
         alignment.set_padding(padding_top = 0, padding_bottom = 16,
@@ -119,20 +119,20 @@
             longerHelp = completedHelp
 
-        self._helpLabel = gtk.Label(longerHelp)
+        self._helpLabel = Gtk.Label(longerHelp)
         # FIXME: should be a constant in common
-        self._helpLabel.set_justify(gtk.Justification.CENTER)
+        self._helpLabel.set_justify(Gtk.Justification.CENTER)
         self._helpLabel.set_use_markup(True)
         alignment.add(self._helpLabel)
         mainBox.pack_start(alignment, False, False, 0)
 
-        self._mainAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        self._mainAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                             xscale = 1.0, yscale = 1.0)
         mainBox.pack_start(self._mainAlignment, True, True, 0)
 
-        buttonAlignment =  gtk.Alignment(xalign = 1.0, xscale=0.0, yscale = 0.0)
+        buttonAlignment =  Gtk.Alignment(xalign = 1.0, xscale=0.0, yscale = 0.0)
         buttonAlignment.set_padding(padding_top = 4, padding_bottom = 10,
                                     padding_left = 16, padding_right = 16)
 
-        self._buttonBox = gtk.HBox()
+        self._buttonBox = Gtk.HBox()
         self._buttonBox.set_homogeneous(False)
         self._defaultButton = None
@@ -175,5 +175,5 @@
 
         Return the button object created."""
-        button = gtk.Button(label)
+        button = Gtk.Button(label)
         self._buttonBox.pack_start(button, False, False, padding)
         button.set_use_underline(True)
@@ -220,7 +220,7 @@
         """Set the styles of some of the items on the page."""
         context = self.get_style_context()
-        color = context.get_background_color(gtk.StateFlags.SELECTED)
+        color = context.get_background_color(Gtk.StateFlags.SELECTED)
         self._titleEventBox.modify_bg(0, color.to_color())
-        color = context.get_color(gtk.StateFlags.SELECTED)
+        color = context.get_color(Gtk.StateFlags.SELECTED)
         self._titleLabel.modify_fg(0, color.to_color())
 
@@ -299,8 +299,8 @@
                                         xstr("login"), xstr("loginHelp"))
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(3, 2)
+        table = Gtk.Table(3, 2)
         table.set_row_spacings(4)
         table.set_col_spacings(32)
@@ -308,12 +308,12 @@
         self.setMainWidget(alignment)
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("label_pilotID"))
+        label = Gtk.Label(xstr("label_pilotID"))
         label.set_use_underline(True)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 0, 1)
 
-        self._pilotID = gtk.Entry()
+        self._pilotID = Gtk.Entry()
         self._pilotID.connect("changed", self._pilotIDChanged)
         self._pilotID.set_tooltip_text(xstr("login_pilotID_tooltip"))
@@ -321,12 +321,12 @@
         label.set_mnemonic_widget(self._pilotID)
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("label_password"))
+        label = Gtk.Label(xstr("label_password"))
         label.set_use_underline(True)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 1, 2)
 
-        self._password = gtk.Entry()
+        self._password = Gtk.Entry()
         self._password.set_visibility(False)
         self._password.connect("changed", self._setControls)
@@ -335,5 +335,5 @@
         label.set_mnemonic_widget(self._password)
 
-        self._rememberButton = gtk.CheckButton(xstr("remember_password"))
+        self._rememberButton = Gtk.CheckButton(xstr("remember_password"))
         self._rememberButton.set_use_underline(True)
         self._rememberButton.set_tooltip_text(xstr("login_remember_tooltip"))
@@ -440,10 +440,10 @@
                                                   help, completedHelp = completedHelp)
 
-        mainBox = gtk.HBox()
+        mainBox = Gtk.HBox()
         mainBox.set_homogeneous(False)
 
-        leftVBox = gtk.VBox()
-
-        alignment = gtk.Alignment(xscale = 1.0)
+        leftVBox = Gtk.VBox()
+
+        alignment = Gtk.Alignment(xscale = 1.0)
         alignment.set_size_request(100, 0)
 
@@ -460,11 +460,11 @@
         mainBox.pack_start(self._flightList, False, False, 8)
 
-        flightButtonBox = gtk.VBox()
-
-        alignment = gtk.Alignment(xscale = 1.0)
+        flightButtonBox = Gtk.VBox()
+
+        alignment = Gtk.Alignment(xscale = 1.0)
         alignment.set_size_request(100, 0)
         flightButtonBox.pack_start(alignment, False, False, 0)
 
-        flightButtonWidthAlignment = gtk.Alignment(xscale=1.0, yscale=0.0,
+        flightButtonWidthAlignment = Gtk.Alignment(xscale=1.0, yscale=0.0,
                                                    xalign=0.0, yalign=0.0)
         flightButtonWidthAlignment.set_padding(padding_top = 0,
@@ -472,7 +472,7 @@
                                                padding_left = 8,
                                                padding_right = 0)
-        flightButtonWidthBox = gtk.VBox()
-
-        self._saveButton = gtk.Button(xstr("flightsel_save"))
+        flightButtonWidthBox = Gtk.VBox()
+
+        self._saveButton = Gtk.Button(xstr("flightsel_save"))
         self._saveButton.set_use_underline(True)
         self._saveButton.set_sensitive(False)
@@ -482,5 +482,5 @@
         flightButtonWidthBox.pack_start(self._saveButton, True, True, 4)
 
-        self._printButton = gtk.Button(xstr("flightsel_print"))
+        self._printButton = Gtk.Button(xstr("flightsel_print"))
         self._printButton.set_use_underline(True)
         self._printButton.set_sensitive(False)
@@ -490,5 +490,5 @@
         flightButtonWidthBox.pack_start(self._printButton, True, True, 4)
 
-        self._deleteButton = gtk.Button(xstr("flightsel_delete"))
+        self._deleteButton = Gtk.Button(xstr("flightsel_delete"))
         self._deleteButton.set_use_underline(True)
         self._deleteButton.set_sensitive(False)
@@ -649,5 +649,5 @@
             except Exception as e:
                 print("Failed to save flight:", util.utf2unicode(str(e)))
-                dialog = gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
+                dialog = Gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
                                            type = MESSAGETYPE_ERROR,
                                            message_format =
@@ -669,5 +669,5 @@
         flight = self._getSelectedFlight()
 
-        printOperation = gtk.PrintOperation()
+        printOperation = Gtk.PrintOperation()
         if self._printSettings is not None:
             printOperation.set_print_settings(self._printSettings)
@@ -684,10 +684,10 @@
         printOperation.set_use_full_page(False)
 
-        result = printOperation.run(gtk.PRINT_OPERATION_ACTION_PRINT_DIALOG,
+        result = printOperation.run(Gtk.PRINT_OPERATION_ACTION_PRINT_DIALOG,
                                     wizard.gui.mainWindow)
 
-        if result == gtk.PRINT_OPERATION_RESULT_APPLY:
+        if result == Gtk.PRINT_OPERATION_RESULT_APPLY:
             self._printSettings = printOperation.get_print_settings()
-        elif result == gtk.PRINT_OPERATION_RESULT_ERROR:
+        elif result == Gtk.PRINT_OPERATION_RESULT_ERROR:
             errorDialog(xstr("flightsel_print_failed",
                              wizard.gui.mainWindow,
@@ -942,5 +942,5 @@
             except Exception as e:
                 print("Failed to load flight:", util.utf2unicode(str(e)))
-                dialog = gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
+                dialog = Gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
                                            type = MESSAGETYPE_ERROR,
                                            message_format =
@@ -1024,20 +1024,20 @@
 
         gui = self._wizard.gui
-        dialog = gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
+        dialog = Gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
                                        xstr("flightsel_save_title"),
                                        action = FILE_CHOOSER_ACTION_SAVE,
-                                       buttons = (gtk.STOCK_CANCEL,
+                                       buttons = (Gtk.STOCK_CANCEL,
                                                   RESPONSETYPE_CANCEL,
-                                                  gtk.STOCK_OK, RESPONSETYPE_OK),
+                                                  Gtk.STOCK_OK, RESPONSETYPE_OK),
                                        parent = gui.mainWindow)
         dialog.set_modal(True)
         dialog.set_do_overwrite_confirmation(True)
 
-        filter = gtk.FileFilter()
+        filter = Gtk.FileFilter()
         filter.set_name(xstr("flightsel_filter_flights"))
         filter.add_pattern("*.vaflight")
         dialog.add_filter(filter)
 
-        filter = gtk.FileFilter()
+        filter = Gtk.FileFilter()
         filter.set_name(xstr("file_filter_all"))
         filter.add_pattern("*.*")
@@ -1054,19 +1054,19 @@
 
         gui = self._wizard.gui
-        dialog = gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
+        dialog = Gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
                                        xstr("flightsel_load_title"),
                                        action = FILE_CHOOSER_ACTION_OPEN,
-                                       buttons = (gtk.STOCK_CANCEL,
+                                       buttons = (Gtk.STOCK_CANCEL,
                                                   RESPONSETYPE_CANCEL,
-                                                  gtk.STOCK_OK, RESPONSETYPE_OK),
+                                                  Gtk.STOCK_OK, RESPONSETYPE_OK),
                                        parent = gui.mainWindow)
         dialog.set_modal(True)
 
-        filter = gtk.FileFilter()
+        filter = Gtk.FileFilter()
         filter.set_name(xstr("flightsel_filter_flights"))
         filter.add_pattern("*.vaflight")
         dialog.add_filter(filter)
 
-        filter = gtk.FileFilter()
+        filter = Gtk.FileFilter()
         filter.set_name(xstr("file_filter_all"))
         filter.add_pattern("*.*")
@@ -1079,7 +1079,7 @@
     def _createListPopupMenu(self):
         """Get the flight list popup menu."""
-        menu = gtk.Menu()
-
-        menuItem = gtk.MenuItem()
+        menu = Gtk.Menu()
+
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("flightsel_popup_select"))
         menuItem.set_use_underline(True)
@@ -1089,5 +1089,5 @@
         menu.append(menuItem)
 
-        menuItem = gtk.MenuItem()
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("flightsel_popup_save"))
         menuItem.set_use_underline(True)
@@ -1097,5 +1097,5 @@
         menu.append(menuItem)
 
-        menuItem = gtk.MenuItem()
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("flightsel_popup_print"))
         menuItem.set_use_underline(True)
@@ -1105,5 +1105,5 @@
         menu.append(menuItem)
 
-        menuItem = gtk.MenuItem()
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("flightsel_popup_delete"))
         menuItem.set_use_underline(True)
@@ -1146,7 +1146,7 @@
                                                 xstr("gatesel_help"))
 
-        self._listStore = gtk.ListStore(str)
-        self._gateList = gtk.TreeView(self._listStore)
-        column = gtk.TreeViewColumn(None, gtk.CellRendererText(),
+        self._listStore = Gtk.ListStore(str)
+        self._gateList = Gtk.TreeView(self._listStore)
+        column = Gtk.TreeViewColumn(None, Gtk.CellRendererText(),
                                     text = 0)
         column.set_expand(True)
@@ -1158,12 +1158,12 @@
         gateSelection.connect("changed", self._selectionChanged)
 
-        scrolledWindow = gtk.ScrolledWindow()
+        scrolledWindow = Gtk.ScrolledWindow()
         scrolledWindow.add(self._gateList)
         scrolledWindow.set_size_request(50, -1)
-        scrolledWindow.set_policy(gtk.PolicyType.AUTOMATIC,
-                                  gtk.PolicyType.AUTOMATIC)
-        scrolledWindow.set_shadow_type(gtk.ShadowType.IN)
-
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.0, xscale = 0.0, yscale = 1.0)
+        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                  Gtk.PolicyType.AUTOMATIC)
+        scrolledWindow.set_shadow_type(Gtk.ShadowType.IN)
+
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0, xscale = 0.0, yscale = 1.0)
         alignment.add(scrolledWindow)
 
@@ -1227,5 +1227,5 @@
             self._wizard.jumpPage("connect")
         else:
-            dialog = gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
+            dialog = Gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
                                        type = MESSAGETYPE_ERROR,
                                        message_format = xstr("gatesel_conflict"))
@@ -1265,8 +1265,8 @@
                                            xstr("register_help"))
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(12, 4)
+        table = Gtk.Table(12, 4)
         table.set_row_spacings(4)
         table.set_col_spacings(24)
@@ -1276,12 +1276,12 @@
         row = 0
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_name1"))
+        label = Gtk.Label(xstr("register_name1"))
         label.set_use_underline(True)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        self._name1 = gtk.Entry()
+        self._name1 = Gtk.Entry()
         self._name1.connect("changed", self._updateButtons)
         self._name1.set_tooltip_text(xstr("register_name1_tooltip"))
@@ -1290,12 +1290,12 @@
         label.set_mnemonic_widget(self._name1)
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_name2"))
+        label = Gtk.Label(xstr("register_name2"))
         label.set_use_underline(True)
         labelAlignment.add(label)
         table.attach(labelAlignment, 2, 3, row, row+1)
 
-        self._name2 = gtk.Entry()
+        self._name2 = Gtk.Entry()
         self._name2.connect("changed", self._updateButtons)
         self._name2.set_tooltip_text(xstr("register_name2_tooltip"))
@@ -1306,15 +1306,15 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_year_of_birth"))
+        label = Gtk.Label(xstr("register_year_of_birth"))
         label.set_use_underline(True)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                   xscale = 0.0, yscale = 0.0)
 
-        self._yearOfBirth = gtk.SpinButton()
+        self._yearOfBirth = Gtk.SpinButton()
         self._yearOfBirth.set_increments(step = 1, page = 10)
         self._yearOfBirth.set_range(min = RegisterPage._minYearOfBirth,
@@ -1331,12 +1331,12 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_email"))
+        label = Gtk.Label(xstr("register_email"))
         label.set_use_underline(True)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        self._emailAddress = gtk.Entry()
+        self._emailAddress = Gtk.Entry()
         self._emailAddress.connect("changed", self._updateButtons)
         self._emailAddress.set_tooltip_text(xstr("register_email_tooltip"))
@@ -1344,5 +1344,5 @@
         label.set_mnemonic_widget(self._emailAddress)
 
-        self._emailAddressPublic = gtk.CheckButton(xstr("register_email_public"))
+        self._emailAddressPublic = Gtk.CheckButton(xstr("register_email_public"))
         self._emailAddressPublic.set_use_underline(True)
         self._emailAddressPublic.set_tooltip_text(xstr("register_email_public_tooltip"))
@@ -1351,12 +1351,12 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_vatsim_id"))
+        label = Gtk.Label(xstr("register_vatsim_id"))
         label.set_use_underline(True)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                   xscale = 0.0, yscale = 0.0)
         self._vatsimID = IntegerEntry()
@@ -1368,12 +1368,12 @@
         label.set_mnemonic_widget(self._vatsimID)
 
-        labelAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_ivao_id"))
+        label = Gtk.Label(xstr("register_ivao_id"))
         label.set_use_underline(True)
         labelAlignment.add(label)
         table.attach(labelAlignment, 2, 3, row, row+1)
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                   xscale = 0.0, yscale = 0.0)
         self._ivaoID = IntegerEntry()
@@ -1387,7 +1387,7 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_phone_num"))
+        label = Gtk.Label(xstr("register_phone_num"))
         label.set_use_underline(True)
         label.set_use_markup(True)
@@ -1395,5 +1395,5 @@
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        self._phoneNumber = gtk.Entry()
+        self._phoneNumber = Gtk.Entry()
         self._phoneNumber.set_tooltip_text(xstr("register_phone_num_tooltip"))
         table.attach(self._phoneNumber, 1, 2, row, row+1)
@@ -1402,7 +1402,7 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_nationality"))
+        label = Gtk.Label(xstr("register_nationality"))
         label.set_use_underline(True)
         label.set_use_markup(True)
@@ -1411,10 +1411,10 @@
 
 
-        self._nationality = gtk.Entry()
+        self._nationality = Gtk.Entry()
         self._nationality.set_tooltip_text(xstr("register_nationality_tooltip"))
         table.attach(self._nationality, 1, 2, row, row+1)
         label.set_mnemonic_widget(self._nationality)
 
-        placeholder = gtk.Label()
+        placeholder = Gtk.Label()
         placeholder.set_text(xstr("register_password_mismatch"))
         placeholder.set_use_markup(True)
@@ -1425,12 +1425,12 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_password"))
+        label = Gtk.Label(xstr("register_password"))
         label.set_use_underline(True)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        self._password = gtk.Entry()
+        self._password = Gtk.Entry()
         self._password.set_visibility(False)
         self._password.connect("changed", self._updateButtons)
@@ -1439,7 +1439,7 @@
         label.set_mnemonic_widget(self._password)
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
-        self._passwordStatus = gtk.Label()
+        self._passwordStatus = Gtk.Label()
         alignment.add(self._passwordStatus)
         table.attach(alignment, 2, 4, row, row+1)
@@ -1447,12 +1447,12 @@
         row += 1
 
-        labelAlignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("register_password2"))
+        label = Gtk.Label(xstr("register_password2"))
         label.set_use_underline(True)
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row+1)
 
-        self._password2 = gtk.Entry()
+        self._password2 = Gtk.Entry()
         self._password2.set_visibility(False)
         self._password2.connect("changed", self._updateButtons)
@@ -1461,7 +1461,7 @@
         label.set_mnemonic_widget(self._password2)
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
-        self._password2Status = gtk.Label()
+        self._password2Status = Gtk.Label()
         alignment.add(self._password2Status)
         table.attach(alignment, 2, 4, row, row+1)
@@ -1469,5 +1469,5 @@
         row += 1
 
-        self._rememberButton = gtk.CheckButton(xstr("remember_password"))
+        self._rememberButton = Gtk.CheckButton(xstr("remember_password"))
         self._rememberButton.set_use_underline(True)
         self._rememberButton.set_tooltip_text(xstr("login_remember_tooltip"))
@@ -1681,5 +1681,5 @@
             messageType = MESSAGETYPE_ERROR
 
-        dialog = gtk.MessageDialog(parent = gui.mainWindow,
+        dialog = Gtk.MessageDialog(parent = gui.mainWindow,
                                    type = messageType,
                                    message_format = message)
@@ -1715,8 +1715,8 @@
         self._getEntryExamStatusCancelled = False
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.5, yscale = 0.0)
 
-        table = gtk.Table(6, 4)
+        table = Gtk.Table(6, 4)
         table.set_row_spacings(4)
         table.set_col_spacings(0)
@@ -1727,7 +1727,7 @@
         row = 0
 
-        labelAlignment = gtk.Alignment(xalign=0.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign=0.0, yalign = 0.5,
                                        xscale=0.0, yscale = 0.0)
-        label = gtk.Label(xstr("student_entry_exam_status"))
+        label = Gtk.Label(xstr("student_entry_exam_status"))
         label.set_alignment(0.0, 0.5)
         labelAlignment.add(label)
@@ -1735,7 +1735,7 @@
         table.attach(labelAlignment, 0, 1, row, row + 1, xoptions = FILL)
 
-        alignment = gtk.Alignment(xalign=0.0, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign=0.0, yalign = 0.5,
                                   xscale=1.0, yscale = 0.0)
-        self._entryExamStatus = gtk.Label()
+        self._entryExamStatus = Gtk.Label()
         self._entryExamStatus.set_use_markup(True)
         self._entryExamStatus.set_alignment(0.0, 0.5)
@@ -1746,6 +1746,6 @@
         row += 1
 
-        buttonAlignment = gtk.Alignment(xalign=0.0, xscale=1.0)
-        button = self._entryExamButton = gtk.Button(xstr("student_entry_exam"))
+        buttonAlignment = Gtk.Alignment(xalign=0.0, xscale=1.0)
+        button = self._entryExamButton = Gtk.Button(xstr("student_entry_exam"))
         button.set_use_underline(True)
         button.connect("clicked", self._entryExamClicked)
@@ -1758,13 +1758,13 @@
         row += 3
 
-        labelAlignment = gtk.Alignment(xalign=0.0, yalign = 0.5,
+        labelAlignment = Gtk.Alignment(xalign=0.0, yalign = 0.5,
                                        xscale=0.0, yscale = 0.0)
-        label = gtk.Label(xstr("student_check_flight_status"))
+        label = Gtk.Label(xstr("student_check_flight_status"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, row, row + 1, xoptions = FILL)
 
-        alignment = gtk.Alignment(xalign=0.0, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign=0.0, yalign = 0.5,
                                   xscale=1.0, yscale = 0.0)
-        self._checkFlightStatus = gtk.Label()
+        self._checkFlightStatus = Gtk.Label()
         self._checkFlightStatus.set_use_markup(True)
         self._checkFlightStatus.set_alignment(0.0, 0.5)
@@ -1774,19 +1774,19 @@
         row += 1
 
-        alignment = gtk.Alignment(xalign=0.0, xscale=1.0)
-
-        hbox = gtk.HBox()
+        alignment = Gtk.Alignment(xalign=0.0, xscale=1.0)
+
+        hbox = Gtk.HBox()
         hbox.set_homogeneous(False)
         hbox.set_spacing(0)
 
-        aircraftTypesModel = gtk.ListStore(str, int)
+        aircraftTypesModel = Gtk.ListStore(str, int)
         for aircraftType in web.BookedFlight.checkFlightTypes:
             aircraftTypesModel.append([aircraftNames[aircraftType],
                                        aircraftType])
 
-        aircraftTypeAlignment = gtk.Alignment(xalign = 0.0, xscale = 1.0)
-
-        self._aircraftType = gtk.ComboBox(model = aircraftTypesModel)
-        renderer = gtk.CellRendererText()
+        aircraftTypeAlignment = Gtk.Alignment(xalign = 0.0, xscale = 1.0)
+
+        self._aircraftType = Gtk.ComboBox(model = aircraftTypesModel)
+        renderer = Gtk.CellRendererText()
         self._aircraftType.pack_start(renderer, True)
         self._aircraftType.add_attribute(renderer, "text", 0)
@@ -1798,6 +1798,6 @@
         hbox.pack_start(aircraftTypeAlignment, False, False, 0)
 
-        buttonAlignment = gtk.Alignment(xalign=0.0, xscale=1.0)
-        button = self._checkFlightButton = gtk.Button(xstr("student_check_flight"))
+        buttonAlignment = Gtk.Alignment(xalign=0.0, xscale=1.0)
+        button = self._checkFlightButton = Gtk.Button(xstr("student_check_flight"))
         button.set_use_underline(True)
         button.connect("clicked", self._checkFlightClicked)
@@ -1894,5 +1894,5 @@
         gui = wizard.gui
 
-        dialog = gtk.MessageDialog(parent = gui.mainWindow,
+        dialog = Gtk.MessageDialog(parent = gui.mainWindow,
                                    type = MESSAGETYPE_INFO,
                                    message_format = xstr("student_fo"))
@@ -1924,8 +1924,8 @@
         self._selectSimulator = os.name=="nt" or "FORCE_SELECT_SIM" in os.environ
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(7 if self._selectSimulator else 5, 2)
+        table = Gtk.Table(7 if self._selectSimulator else 5, 2)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -1934,11 +1934,11 @@
         self.setMainWidget(alignment)
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("connect_flightno"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("connect_flightno"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 0, 1)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._flightNumber = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._flightNumber = Gtk.Label()
         self._flightNumber.set_width_chars(9)
         self._flightNumber.set_alignment(0.0, 0.5)
@@ -1946,11 +1946,11 @@
         table.attach(labelAlignment, 1, 2, 0, 1)
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("connect_acft"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("connect_acft"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 1, 2)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._aircraft = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._aircraft = Gtk.Label()
         self._aircraft.set_width_chars(25)
         self._aircraft.set_alignment(0.0, 0.5)
